#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
%define		_builddir	%{_topdir}/BUILD_%(basename %{__python})
%define		_pyproject_wheeldir ./pyproject-macros-wheeldir
%define		sname		%(echo %{name}  | cut -d '-' -f2-3)
%define		name1		%(echo %{name} | cut -d '-' -f2)
%define		name2		%(echo %{name} | cut -d '-' -f3)
#-----------------------------------------------------------------------------
Name		:	python3-tomli-w
Version		:	1.0.0
Release		:	17.0.10.rel%{?dist}
Summary		:	A Python library for writing TOML

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://github.com/hukkin/tomli-w

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%(basename %{__python})
BuildRequires	:  	python-build
BuildRequires	:  	python-installer
BuildRequires	:  	python-wheel
BuildRequires	:  	python3-setuptools

BuildRequires	:  	python3-iniconfig
BuildRequires	:  	python3-pluggy
BuildRequires	:  	python3-pytest
BuildRequires	:  	python3-tomli

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
Tomli-W is a Python library for writing TOML.
It is a write-only counterpart to Tomli,
which is a read-only TOML parser.
Tomli-W is fully compatible with TOML v1.0.0.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
%doc README.md
%doc CHANGELOG.md
%license LICENSE
%{python3_sitelib}/%{name1}_%{name2}/py.typed
%{python3_sitelib}/%{name1}_%{name2}/*.py
%{python3_sitelib}/%{name1}_%{name2}/__pycache__/*.pyc
%{python3_sitelib}/%{name1}_%{name2}-%{version}.dist-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__python}						\
	-m build					\
	--wheel						\
	--no-isolation

#-----------------------------------------------------------------------------
%check

%{__python}						\
	-m pytest

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir %{buildroot}				\
	dist/*.whl					\


#-----------------------------------------------------------------------------
%changelog
